Bug 1494449 (CVE-2017-14503) - CVE-2017-14503 libarchive: Out-of-bounds read in lha_read_data_none
Summary: CVE-2017-14503 libarchive: Out-of-bounds read in lha_read_data_none
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-14503
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1449531 1543191 1693576
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 09:53 UTC by Andrej Nemec
Modified: 2019-11-05 22:05 UTC (History)
8 users (show)

Fixed In Version: libarchive 3.3.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2298 None None None 2019-08-06 12:38:14 UTC
Red Hat Product Errata RHSA-2019:3698 None None None 2019-11-05 22:05:24 UTC

Description Andrej Nemec 2017-09-22 09:53:08 UTC
libarchive 3.3.2 suffers from an out-of-bounds read within lha_read_data_none() in archive_read_support_format_lha.c when extracting a specially crafted lha archive, related to lha_crc16. An attacker could use this flaw to cause a denial of service.

Upstream issue:

https://github.com/libarchive/libarchive/issues/948

Comment 1 Andrej Nemec 2017-09-22 09:53:46 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1449531]

Comment 3 Pavel Raiskup 2019-02-22 15:30:28 UTC
I cited wrong commit, the right is:
https://github.com/libarchive/libarchive/commit/2c8c83b9731ff822fad6cc8c670ea5519c366a14

Comment 4 errata-xmlrpc 2019-08-06 12:38:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2298 https://access.redhat.com/errata/RHSA-2019:2298

Comment 5 Product Security DevOps Team 2019-08-06 19:18:21 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-14503

Comment 6 errata-xmlrpc 2019-11-05 22:05:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3698 https://access.redhat.com/errata/RHSA-2019:3698


Note You need to log in before you can comment on or make changes to this bug.